org.apache.myfaces.trinidad.model

## Class ChartModel

- java.lang.Object
- - org.apache.myfaces.trinidad.model.ChartModel

-     public abstract class ChartModel
      extends Object

  The data model used by chart components. The chart is draw using values from the yValues 2D array. The yValues are returned by `getYValues()` method. The maximum and the minimum are controlled by `getMaxYValue()` method and `getMinYValue()` method. The default maximum value is 120% of the maximum of the yValues if no value is specified. The default minimum value is 0. For XYLine and Scatter plots xValues are also required. The xValues are controlled by `getXValues()` method, `getMaxXValue()` method and `getMinXValue()` method. The labels on y-axis of the graph are calculated from the yValues. However the labels on the x-axis are controlled by the group labels array returned by `getGroupLabels()` method. Each group of values in the chart may contain multiple series. The number of series in a group are controlled by `getSeriesLabels()` method. The colors of the series are controlled by `getSeriesColors()` method. The chart title, sub-title and the footnote can be specified using `getTitle()` method, `getSubTitle()` method and `getFootNote()` method

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChartModel()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFootNote()`
    `abstract List<String>` | `getGroupLabels()`
    `Double` | `getMaxXValue()`
    `Double` | `getMaxYValue()`
    `Double` | `getMinXValue()`
    `Double` | `getMinYValue()`
    `List<Color>` | `getSeriesColors()`
    `abstract List<String>` | `getSeriesLabels()`
    `String` | `getSubTitle()`
    `String` | `getTitle()`
    `List<List<Double>>` | `getXValues()`
    `abstract List<List<Double>>` | `getYValues()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChartModel

          public ChartModel()

  - ### Method Detail

    - #### getSeriesLabels

          public abstract List<String> getSeriesLabels()

    - #### getGroupLabels

          public abstract List<String> getGroupLabels()

    - #### getSeriesColors

          public List<Color> getSeriesColors()

    - #### getXValues

          public List<List<Double>> getXValues()

    - #### getYValues

          public abstract List<List<Double>> getYValues()

    - #### getMaxYValue

          public Double getMaxYValue()

    - #### getMinYValue

          public Double getMinYValue()

    - #### getMaxXValue

          public Double getMaxXValue()

    - #### getMinXValue

          public Double getMinXValue()

    - #### getTitle

          public String getTitle()

    - #### getSubTitle

          public String getSubTitle()

    - #### getFootNote

          public String getFootNote()

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.